## glean-parser 4.2.0

=== debian/changelog ===
glean-parser (4.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Oct 2021 14:05:49 +0200

glean-parser (4.1.0-1) unstable; urgency=medium

  * Initial upload
    New mandatory dependency for mozillavpn

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Aug 2021 20:40:14 +0200

## glean-parser 4.3.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = glean_parser
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
glean-parser (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Nov 2021 12:13:48 +0100

## glean-parser 4.4.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	python3 -m flake8 glean_parser tests
	python3 -m black --check --diff glean_parser tests setup.py
	python3 -m yamllint glean_parser tests
	python3 -m mypy glean_parser

fmt: ## autoformat files
	python3 -m black glean_parser tests setup.py

test: ## run tests quickly with the default Python
	py.test

coverage: ## check code coverage quickly with the default Python
	coverage run --source glean_parser -m pytest
	coverage report -m
	coverage html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/glean_parser.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ glean_parser
	$(MAKE) -C docs clean
	$(MAKE) -C docs html

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	pip install .

install-kotlin-linters: ## install ktlint and detekt for linting Kotlin output
	test -f ktlint || curl -sSLO https://github.com/shyiko/ktlint/releases/download/0.29.0/ktlint
	echo "03c9f9f78f80bcdb44c292d95e4d9abf221daf5e377673c1b6675a8003eab94d *ktlint" | sha256sum -c -
	chmod a+x ktlint
	test -f detekt-cli.jar || curl -sSL --output "detekt-cli.jar" https://github.com/detekt/detekt/releases/download/v1.16.0/detekt-cli-1.16.0-all.jar
	echo "dd63aae60cce4b0516ffc11d31b6280d4010ab481754c7e49b2c9e78db877ca4 *detekt-cli.jar" | sha256sum -c -

=== debian/changelog ===
glean-parser (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jan 2022 17:47:14 +0100

=== debian/control ===
Source: glean-parser
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools-scm,
 python3, python3-pytest-runner, yamllint, python3-diskcache,
 python3-pytest, python3-pip, python3-distutils, python3-wheel,
 python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
 help2man
Standards-Version: 4.4.1
Homepage: https://mozilla.github.io/glean_parser/
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/packages/glean-parser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/glean-parser<

Package: glean-parser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Parser tools for Mozilla's Glean telemetry
 Contains various utilities for handling metrics.yaml and pings.yaml for
 the Glean SDK. This includes producing generated code for various
 integrations, linting and coverage testing.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)

%:
	echo "version = '$(VERSION)'" > glean_parser/_glean_parser_version.py
	cp glean_parser/_glean_parser_version.py tests/
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/glean-parser/usr/lib/python*/dist-packages/glean_parser/_glean_parser_version.py $(CURDIR)/debian/glean-parser/usr/lib/python*/dist-packages/

override_dh_auto_clean:
	${RM} glean_parser/_glean_parser_version.py tests/_glean_parser_version.py
	${RM} -r .eggs
	rm -f debian/*.1
	dh_auto_clean

## glean-parser 5.1.2

=== debian/changelog ===
glean-parser (5.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 15 Apr 2022 12:18:37 +0200

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/glean-parser-$1\.tar\.gz/ \
  https://github.com/mozilla/glean_parser/tags .*/v?(\d\S+)\.tar\.gz

## glean-parser 13.0.0

=== debian/changelog ===
glean-parser (13.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1026750
  * Drop python3-distutils from Build-Depends
    Closes: #1065867
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * d/rules: Do not parse d/changelog
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Mar 2024 18:38:42 +0100

=== debian/control ===
Source: glean-parser
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools-scm,
 python3, python3-pytest-runner, yamllint, python3-diskcache,
 python3-pytest, python3-pip, python3-wheel,
 python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
 help2man
Standards-Version: 4.6.2
Homepage: https://mozilla.github.io/glean_parser/
Rules-Requires-Root: no
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/packages/glean-parser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/glean-parser

Package: glean-parser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Parser tools for Mozilla's Glean telemetry
 Contains various utilities for handling metrics.yaml and pings.yaml for
 the Glean SDK. This includes producing generated code for various
 integrations, linting and coverage testing.

## glean-parser 14.1.2

=== debian/changelog ===
glean-parser (14.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Jul 2024 23:24:53 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3, python3-pytest-runner, yamllint, python3-diskcache,
  python3-pytest, python3-pip, python3-wheel,
  python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
- help2man
+ help2man, rust-clippy
 Standards-Version: 4.6.2
 Homepage: https://mozilla.github.io/glean_parser/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,12 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export VERSION=$(shell dpkg-parsechangelog|grep ^Version|awk '{print $$2}'|cut -d- -f1)
+include /usr/share/dpkg/default.mk
 
 %:
-	echo "version = '$(VERSION)'" > glean_parser/_glean_parser_version.py
+	echo "version = '$(DEB_VERSION_UPSTREAM)'" > glean_parser/_glean_parser_version.py
 	cp glean_parser/_glean_parser_version.py tests/
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install

## glean-parser 15.0.1

=== Makefile ===
--- 
+++ 
@@ -34,17 +34,19 @@
 	rm -fr htmlcov/
 	rm -fr .pytest_cache
 
-lint: ## check style with flake8
-	python3 -m flake8 glean_parser tests
-	python3 -m black --check --diff glean_parser tests setup.py
+lint: ## check style
+	python3 -m ruff check glean_parser tests setup.py
 	python3 -m yamllint glean_parser tests
 	python3 -m mypy glean_parser
 
 fmt: ## autoformat files
-	python3 -m black glean_parser tests setup.py
+	python3 -m ruff format glean_parser tests setup.py
 
 test: ## run tests quickly with the default Python
 	py.test
+
+test-full:  ## run tests, including those with additional dependencies
+	py.test --run-web-tests --run-node-tests --run-ruby-tests --run-go-tests
 
 coverage: ## check code coverage quickly with the default Python
 	coverage run --source glean_parser -m pytest
@@ -71,7 +73,7 @@
 
 install-kotlin-linters: ## install ktlint and detekt for linting Kotlin output
 	test -f ktlint || curl -sSLO https://github.com/shyiko/ktlint/releases/download/0.29.0/ktlint
-	echo "03c9f9f78f80bcdb44c292d95e4d9abf221daf5e377673c1b6675a8003eab94d *ktlint" | sha256sum -c -
+	echo "03c9f9f78f80bcdb44c292d95e4d9abf221daf5e377673c1b6675a8003eab94d *ktlint" | shasum -a256 -c -
 	chmod a+x ktlint
-	test -f detekt-cli.jar || curl -sSL --output "detekt-cli.jar" https://github.com/detekt/detekt/releases/download/v1.16.0/detekt-cli-1.16.0-all.jar
-	echo "dd63aae60cce4b0516ffc11d31b6280d4010ab481754c7e49b2c9e78db877ca4 *detekt-cli.jar" | sha256sum -c -
+	test -f detekt-cli.jar || curl -sSL --output "detekt-cli.jar" https://github.com/detekt/detekt/releases/download/v1.23.6/detekt-cli-1.23.6-all.jar
+	echo "898dcf810e891f449e4e3f9f4a4e2dc75aecf8e1089df41a42a69adb2cbbcffa *detekt-cli.jar" | shasum -a256 -c -

=== debian/changelog ===
glean-parser (15.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 15.0.1
  * Replace python3-appdirs with python3-platformdirs (Closes: #1067967)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 16:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,26 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools-scm,
- python3, python3-pytest-runner, yamllint, python3-diskcache,
- python3-pytest, python3-pip, python3-wheel,
- python3-jsonschema, python3-appdirs, python3-jinja2, python3-click,
- help2man, rust-clippy
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ help2man,
+ python3,
+ python3-click,
+ python3-diskcache,
+ python3-jinja2,
+ python3-jsonschema,
+ python3-pip,
+ python3-platformdirs,
+ python3-pytest,
+ python3-pytest-runner,
+ python3-setuptools-scm,
+ python3-wheel,
+ rust-clippy,
+ yamllint,
 Standards-Version: 4.6.2
 Homepage: https://mozilla.github.io/glean_parser/
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.6
 Vcs-Git: https://salsa.debian.org/python-team/packages/glean-parser.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/glean-parser
